Name:          mybatis-parent
Version:       18
Release:       3%{?dist}
Summary:       The MyBatis parent POM
Group:         Development/Libraries
License:       ASL 2.0
URL:           http://www.mybatis.org/
# git clone git://github.com/mybatis/parent.git mybatis-parent-18
# (cd mybatis-parent-18/ && git archive --format=tar --prefix=mybatis-parent-18/ mybatis-parent-18 | xz > ../mybatis-parent-18-src-git.tar.xz)
Source0:       https://github.com/mybatis/parent/archive/%{name}-%{version}.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

#BuildRequires: animal-sniffer
BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle
#BuildRequires: mojo-signatures

Requires:      maven-enforcer-plugin
Requires:      maven-plugin-bundle
#Requires:      mvn(org.codehaus.mojo:animal-sniffer-maven-plugin)
#Requires:      mojo-signatures

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
The MyBatis parent POM which has to be inherited by all MyBatis modules.

%prep
%setup -q -n parent-%{name}-%{version}
# require com.github.stephenc.wagon:wagon-gitsite:0.4.1
%pom_remove_plugin org.apache.maven.plugins:maven-site-plugin
# unavailable plugins
%pom_remove_plugin org.apache.maven.plugins:maven-pdf-plugin
%pom_remove_plugin org.sonatype.plugins:jarjar-maven-plugin
%pom_remove_plugin org.sonatype.plugins:nexus-maven-plugin
%pom_remove_plugin org.codehaus.mojo:clirr-maven-plugin
%pom_remove_plugin org.codehaus.mojo:jdepend-maven-plugin
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin
%pom_remove_plugin org.codehaus.mojo:taglist-maven-plugin

# animal-sniffer is currently broken. it uses asm4, but asm3 is loaded
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin

# remove com.google.doclava:doclava:1.0.3
# javac.target.version is set 1.5
%pom_xpath_remove "pom:reporting/pom:plugins/pom:plugin[pom:artifactId ='maven-javadoc-plugin']/pom:configuration"
%pom_xpath_inject "pom:reporting/pom:plugins/pom:plugin[pom:artifactId ='maven-javadoc-plugin']" '
 <configuration>
  <minmemory>128m</minmemory>
  <maxmemory>1024m</maxmemory>
  <breakiterator>true</breakiterator>
  <quiet>true</quiet>
  <verbose>false</verbose>
  <source>${javac.target.version}</source>
  <linksource>true</linksource>
</configuration>'

%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-enforcer-plugin']/pom:executions/pom:execution/pom:configuration/pom:rules/pom:requirePluginVersions"

%build
# Nothing to do
%install

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

%check
mvn-rpmbuild verify

%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE NOTICE README

%changelog
* Sat May 11 2013 gil cattaneo <puntogil@libero.it> 18-3
- disable animal-sniffer-maven-plugin

* Mon Apr 22 2013 gil cattaneo <puntogil@libero.it> 18-2
- fix requires (all active plugin listed in the pom)

* Sun Apr 21 2013 gil cattaneo <puntogil@libero.it> 18-1
- initial rpm